> ## Documentation Index
> Fetch the complete documentation index at: https://docs.controlplane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Perform a Patch on an identity by name



## OpenAPI

````yaml patch /org/{org}/gvc/{gvc}/identity/{name}
openapi: 3.0.3
info:
  title: Control Plane Core API
  description: Copyright © 2023 Control Plane Corporation. All rights reserved.
  version: 1.0.0
servers:
  - url: https://api.cpln.io
    description: ''
security:
  - {}
  - serviceAccountKey: []
  - jwt: []
externalDocs:
  url: https://docs.controlplane.com/
  description: End-user documentation
paths:
  /org/{org}/gvc/{gvc}/identity/{name}:
    patch:
      tags:
        - identity
      summary: Perform a Patch on an identity by name
      parameters:
        - in: path
          name: org
          required: true
          schema:
            type: string
        - in: path
          name: gvc
          required: true
          schema:
            type: string
        - in: path
          name: name
          required: true
          schema:
            type: string
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/patch_identity'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/identity'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    patch_identity:
      type: object
      properties:
        $drop:
          type: array
          items:
            type: string
            enum:
              - description
              - tags
              - aws
              - gcp
              - azure
              - ngs
              - networkResources
              - nativeNetworkResources
              - memcacheAccess
              - spicedbAccess
              - gvc
        name:
          type: string
          maxLength: 64
        description:
          type: string
          maxLength: 250
        tags:
          type: object
          properties: {}
        $replace/tags:
          type: object
        aws:
          type: object
          properties:
            $drop:
              type: array
              items:
                type: string
                enum:
                  - cloudAccountLink
                  - policyRefs
                  - trustPolicy
                  - roleName
            cloudAccountLink:
              type: string
            policyRefs:
              type: array
              items:
                type: string
            $drop/policyRefs:
              type: array
              items:
                type: string
            $append/policyRefs:
              type: array
              items:
                type: string
            $retain/policyRefs:
              type: array
              items:
                type: string
            trustPolicy:
              type: object
              properties:
                $drop:
                  type: array
                  items:
                    type: string
                    enum:
                      - Version
                      - Statement
                Version:
                  type: string
                  default: '2012-10-17'
                Statement:
                  type: array
                  items:
                    type: object
                $drop/Statement:
                  type: array
                  items:
                    type: string
                $append/Statement:
                  type: array
                  items:
                    type: object
                $patch/Statement:
                  type: array
                  items:
                    type: object
                    properties: {}
                $retain/Statement:
                  type: array
                  items:
                    type: string
            $replace/trustPolicy:
              type: object
              properties:
                Version:
                  type: string
                  default: '2012-10-17'
                Statement:
                  type: array
                  items:
                    type: object
              additionalProperties: false
            roleName:
              type: string
              maxLength: 64
        $replace/aws:
          type: object
          properties:
            cloudAccountLink:
              type: string
            policyRefs:
              type: array
              items:
                type: string
            trustPolicy:
              type: object
              properties:
                Version:
                  type: string
                  default: '2012-10-17'
                Statement:
                  type: array
                  items:
                    type: object
              additionalProperties: false
            roleName:
              type: string
              maxLength: 64
          additionalProperties: false
        gcp:
          type: object
          properties:
            $drop:
              type: array
              items:
                type: string
                enum:
                  - cloudAccountLink
                  - scopes
                  - serviceAccount
                  - bindings
            cloudAccountLink:
              type: string
            scopes:
              type: array
              items:
                type: string
            $drop/scopes:
              type: array
              items:
                type: string
            $append/scopes:
              type: array
              items:
                type: string
            $retain/scopes:
              type: array
              items:
                type: string
            serviceAccount:
              type: string
            bindings:
              type: array
              items:
                type: object
                properties:
                  resource:
                    type: string
                  roles:
                    type: array
                    items:
                      type: string
                additionalProperties: false
            $drop/bindings:
              type: array
              items:
                type: string
            $append/bindings:
              type: array
              items:
                type: object
                properties:
                  resource:
                    type: string
                  roles:
                    type: array
                    items:
                      type: string
                additionalProperties: false
            $patch/bindings:
              type: array
              items:
                type: object
                properties:
                  $drop:
                    type: array
                    items:
                      type: string
                      enum:
                        - resource
                        - roles
                  resource:
                    type: string
                  roles:
                    type: array
                    items:
                      type: string
                  $drop/roles:
                    type: array
                    items:
                      type: string
                  $append/roles:
                    type: array
                    items:
                      type: string
                  $retain/roles:
                    type: array
                    items:
                      type: string
            $retain/bindings:
              type: array
              items:
                type: string
        $replace/gcp:
          type: object
          properties:
            cloudAccountLink:
              type: string
            scopes:
              type: array
              items:
                type: string
            serviceAccount:
              type: string
            bindings:
              type: array
              items:
                type: object
                properties:
                  resource:
                    type: string
                  roles:
                    type: array
                    items:
                      type: string
                additionalProperties: false
          additionalProperties: false
        azure:
          type: object
          properties:
            $drop:
              type: array
              items:
                type: string
                enum:
                  - cloudAccountLink
                  - roleAssignments
            cloudAccountLink:
              type: string
            roleAssignments:
              type: array
              items:
                type: object
                properties:
                  scope:
                    type: string
                  roles:
                    type: array
                    items:
                      type: string
                additionalProperties: false
            $drop/roleAssignments:
              type: array
              items:
                type: string
            $append/roleAssignments:
              type: array
              items:
                type: object
                properties:
                  scope:
                    type: string
                  roles:
                    type: array
                    items:
                      type: string
                additionalProperties: false
            $patch/roleAssignments:
              type: array
              items:
                type: object
                properties:
                  $drop:
                    type: array
                    items:
                      type: string
                      enum:
                        - scope
                        - roles
                  scope:
                    type: string
                  roles:
                    type: array
                    items:
                      type: string
                  $drop/roles:
                    type: array
                    items:
                      type: string
                  $append/roles:
                    type: array
                    items:
                      type: string
                  $retain/roles:
                    type: array
                    items:
                      type: string
            $retain/roleAssignments:
              type: array
              items:
                type: string
        $replace/azure:
          type: object
          properties:
            cloudAccountLink:
              type: string
            roleAssignments:
              type: array
              items:
                type: object
                properties:
                  scope:
                    type: string
                  roles:
                    type: array
                    items:
                      type: string
                additionalProperties: false
          additionalProperties: false
        ngs:
          type: object
          properties:
            $drop:
              type: array
              items:
                type: string
                enum:
                  - cloudAccountLink
                  - pub
                  - sub
                  - resp
                  - subs
                  - data
                  - payload
            cloudAccountLink:
              type: string
            pub:
              type: object
              properties:
                $drop:
                  type: array
                  items:
                    type: string
                    enum:
                      - allow
                      - deny
                allow:
                  type: array
                  items:
                    type: string
                $drop/allow:
                  type: array
                  items:
                    type: string
                $append/allow:
                  type: array
                  items:
                    type: string
                $retain/allow:
                  type: array
                  items:
                    type: string
                deny:
                  type: array
                  items:
                    type: string
                $drop/deny:
                  type: array
                  items:
                    type: string
                $append/deny:
                  type: array
                  items:
                    type: string
                $retain/deny:
                  type: array
                  items:
                    type: string
            $replace/pub:
              type: object
              properties:
                allow:
                  type: array
                  items:
                    type: string
                deny:
                  type: array
                  items:
                    type: string
              additionalProperties: false
            sub:
              type: object
              properties:
                $drop:
                  type: array
                  items:
                    type: string
                    enum:
                      - allow
                      - deny
                allow:
                  type: array
                  items:
                    type: string
                $drop/allow:
                  type: array
                  items:
                    type: string
                $append/allow:
                  type: array
                  items:
                    type: string
                $retain/allow:
                  type: array
                  items:
                    type: string
                deny:
                  type: array
                  items:
                    type: string
                $drop/deny:
                  type: array
                  items:
                    type: string
                $append/deny:
                  type: array
                  items:
                    type: string
                $retain/deny:
                  type: array
                  items:
                    type: string
            $replace/sub:
              type: object
              properties:
                allow:
                  type: array
                  items:
                    type: string
                deny:
                  type: array
                  items:
                    type: string
              additionalProperties: false
            resp:
              type: object
              properties:
                $drop:
                  type: array
                  items:
                    type: string
                    enum:
                      - max
                      - ttl
                max:
                  type: integer
                  description: >-
                    Number of responses allowed on the replyTo subject, -1 means
                    no limit
                ttl:
                  type: string
                  description: >-
                    Deadline to send replies on the replyTo subject [#ms(millis)
                    | #s(econds) | m(inutes) | h(ours)]. -1 means no restriction
            $replace/resp:
              type: object
              properties:
                max:
                  type: integer
                  description: >-
                    Number of responses allowed on the replyTo subject, -1 means
                    no limit
                ttl:
                  type: string
                  description: >-
                    Deadline to send replies on the replyTo subject [#ms(millis)
                    | #s(econds) | m(inutes) | h(ours)]. -1 means no restriction
              additionalProperties: false
            subs:
              type: integer
              description: Max number of subscriptions per connection
            data:
              type: integer
              description: Max number of bytes a connection can send
            payload:
              type: integer
              description: Max message payload
        $replace/ngs:
          type: object
          properties:
            cloudAccountLink:
              type: string
            pub:
              type: object
              properties:
                allow:
                  type: array
                  items:
                    type: string
                deny:
                  type: array
                  items:
                    type: string
              additionalProperties: false
            sub:
              type: object
              properties:
                allow:
                  type: array
                  items:
                    type: string
                deny:
                  type: array
                  items:
                    type: string
              additionalProperties: false
            resp:
              type: object
              properties:
                max:
                  type: integer
                  description: >-
                    Number of responses allowed on the replyTo subject, -1 means
                    no limit
                ttl:
                  type: string
                  description: >-
                    Deadline to send replies on the replyTo subject [#ms(millis)
                    | #s(econds) | m(inutes) | h(ours)]. -1 means no restriction
              additionalProperties: false
            subs:
              type: integer
              description: Max number of subscriptions per connection
            data:
              type: integer
              description: Max number of bytes a connection can send
            payload:
              type: integer
              description: Max message payload
          additionalProperties: false
        networkResources:
          type: array
          items:
            $ref: '#/components/schemas/network_resource'
        $drop/networkResources:
          type: array
          items:
            type: string
        $append/networkResources:
          type: array
          items:
            $ref: '#/components/schemas/network_resource'
        $retain/networkResources:
          type: array
          items:
            type: string
        $patch/networkResources:
          type: array
          items:
            $ref: '#/components/schemas/patch_network_resource'
        nativeNetworkResources:
          type: array
          items:
            type: object
            properties:
              name:
                oneOf:
                  - type: string
                    maxLength: 64
                  - type: string
              FQDN:
                type: string
              ports:
                type: array
                items:
                  type: integer
              awsPrivateLink:
                type: object
                properties:
                  endpointServiceName:
                    type: string
                additionalProperties: false
              gcpServiceConnect:
                type: object
                properties:
                  targetService:
                    type: string
                additionalProperties: false
            additionalProperties: false
        $drop/nativeNetworkResources:
          type: array
          items:
            type: string
        $append/nativeNetworkResources:
          type: array
          items:
            type: object
            properties:
              name:
                oneOf:
                  - type: string
                    maxLength: 64
                  - type: string
              FQDN:
                type: string
              ports:
                type: array
                items:
                  type: integer
              awsPrivateLink:
                type: object
                properties:
                  endpointServiceName:
                    type: string
                additionalProperties: false
              gcpServiceConnect:
                type: object
                properties:
                  targetService:
                    type: string
                additionalProperties: false
            additionalProperties: false
        $patch/nativeNetworkResources:
          type: array
          items:
            type: object
            properties:
              $drop:
                type: array
                items:
                  type: string
                  enum:
                    - FQDN
                    - ports
                    - awsPrivateLink
                    - gcpServiceConnect
              $replace/name:
                oneOf:
                  - type: string
                    maxLength: 64
                  - type: string
              name:
                oneOf: []
              FQDN:
                type: string
              ports:
                type: array
                items:
                  type: integer
              $drop/ports:
                type: array
                items:
                  type: integer
              $append/ports:
                type: array
                items:
                  type: integer
              $retain/ports:
                type: array
                items:
                  type: integer
              awsPrivateLink:
                type: object
                properties:
                  $drop:
                    type: array
                    items:
                      type: string
                      enum:
                        - endpointServiceName
                  endpointServiceName:
                    type: string
              $replace/awsPrivateLink:
                type: object
                properties:
                  endpointServiceName:
                    type: string
                additionalProperties: false
              gcpServiceConnect:
                type: object
                properties:
                  $drop:
                    type: array
                    items:
                      type: string
                      enum:
                        - targetService
                  targetService:
                    type: string
              $replace/gcpServiceConnect:
                type: object
                properties:
                  targetService:
                    type: string
                additionalProperties: false
        $retain/nativeNetworkResources:
          type: array
          items:
            type: string
        memcacheAccess:
          type: array
          items:
            type: object
            properties:
              clusterLink:
                type: string
              role:
                type: string
                enum:
                  - readWrite
            additionalProperties: false
        $drop/memcacheAccess:
          type: array
          items:
            type: string
        $append/memcacheAccess:
          type: array
          items:
            type: object
            properties:
              clusterLink:
                type: string
              role:
                type: string
                enum:
                  - readWrite
            additionalProperties: false
        $patch/memcacheAccess:
          type: array
          items:
            type: object
            properties:
              $drop:
                type: array
                items:
                  type: string
                  enum:
                    - clusterLink
                    - role
              clusterLink:
                type: string
              role:
                type: string
                enum:
                  - readWrite
        $retain/memcacheAccess:
          type: array
          items:
            type: string
        spicedbAccess:
          type: array
          items:
            type: object
            properties:
              clusterLink:
                type: string
              role:
                type: string
                enum:
                  - checkPermission
                  - read
                  - write
            additionalProperties: false
        $drop/spicedbAccess:
          type: array
          items:
            type: string
        $append/spicedbAccess:
          type: array
          items:
            type: object
            properties:
              clusterLink:
                type: string
              role:
                type: string
                enum:
                  - checkPermission
                  - read
                  - write
            additionalProperties: false
        $patch/spicedbAccess:
          type: array
          items:
            type: object
            properties:
              $drop:
                type: array
                items:
                  type: string
                  enum:
                    - clusterLink
                    - role
              clusterLink:
                type: string
              role:
                type: string
                enum:
                  - checkPermission
                  - read
                  - write
        $retain/spicedbAccess:
          type: array
          items:
            type: string
        gvc:
          type: string
    identity:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          maxLength: 64
        kind:
          type: string
          readOnly: true
        version:
          type: integer
          readOnly: true
        description:
          type: string
          maxLength: 250
        tags:
          type: object
        created:
          type: string
          format: date-time
          readOnly: true
        lastModified:
          type: string
          format: date-time
          readOnly: true
        links:
          type: array
          items:
            $ref: '#/components/schemas/link'
          readOnly: true
        aws:
          type: object
          properties:
            cloudAccountLink:
              type: string
            policyRefs:
              type: array
              items:
                type: string
            trustPolicy:
              type: object
              properties:
                Version:
                  type: string
                  default: '2012-10-17'
                Statement:
                  type: array
                  items:
                    type: object
              additionalProperties: false
            roleName:
              type: string
              maxLength: 64
          additionalProperties: false
        gcp:
          type: object
          properties:
            cloudAccountLink:
              type: string
            scopes:
              type: array
              items:
                type: string
            serviceAccount:
              type: string
            bindings:
              type: array
              items:
                type: object
                properties:
                  resource:
                    type: string
                  roles:
                    type: array
                    items:
                      type: string
                additionalProperties: false
          additionalProperties: false
        azure:
          type: object
          properties:
            cloudAccountLink:
              type: string
            roleAssignments:
              type: array
              items:
                type: object
                properties:
                  scope:
                    type: string
                  roles:
                    type: array
                    items:
                      type: string
                additionalProperties: false
          additionalProperties: false
        ngs:
          type: object
          properties:
            cloudAccountLink:
              type: string
            pub:
              type: object
              properties:
                allow:
                  type: array
                  items:
                    type: string
                deny:
                  type: array
                  items:
                    type: string
              additionalProperties: false
            sub:
              type: object
              properties:
                allow:
                  type: array
                  items:
                    type: string
                deny:
                  type: array
                  items:
                    type: string
              additionalProperties: false
            resp:
              type: object
              properties:
                max:
                  type: integer
                  description: >-
                    Number of responses allowed on the replyTo subject, -1 means
                    no limit
                ttl:
                  type: string
                  description: >-
                    Deadline to send replies on the replyTo subject [#ms(millis)
                    | #s(econds) | m(inutes) | h(ours)]. -1 means no restriction
              additionalProperties: false
            subs:
              type: integer
              description: Max number of subscriptions per connection
            data:
              type: integer
              description: Max number of bytes a connection can send
            payload:
              type: integer
              description: Max message payload
          additionalProperties: false
        networkResources:
          type: array
          items:
            $ref: '#/components/schemas/network_resource'
        nativeNetworkResources:
          type: array
          items:
            type: object
            properties:
              name:
                oneOf:
                  - type: string
                    maxLength: 64
                  - type: string
              FQDN:
                type: string
              ports:
                type: array
                items:
                  type: integer
              awsPrivateLink:
                type: object
                properties:
                  endpointServiceName:
                    type: string
                additionalProperties: false
              gcpServiceConnect:
                type: object
                properties:
                  targetService:
                    type: string
                additionalProperties: false
            additionalProperties: false
        memcacheAccess:
          type: array
          items:
            type: object
            properties:
              clusterLink:
                type: string
              role:
                type: string
                enum:
                  - readWrite
            additionalProperties: false
        spicedbAccess:
          type: array
          items:
            type: object
            properties:
              clusterLink:
                type: string
              role:
                type: string
                enum:
                  - checkPermission
                  - read
                  - write
            additionalProperties: false
        status:
          type: object
          properties:
            objectName:
              type: string
            aws:
              type: object
              properties:
                lastError:
                  type: string
                usable:
                  type: boolean
              additionalProperties: false
            gcp:
              type: object
              properties:
                lastError:
                  type: string
                usable:
                  type: boolean
              additionalProperties: false
            azure:
              type: object
              properties:
                lastError:
                  type: string
                usable:
                  type: boolean
              additionalProperties: false
          additionalProperties: false
          readOnly: true
        gvc:
          type: string
      additionalProperties: false
    error:
      type: object
      properties:
        status:
          type: integer
        message:
          type: string
        code:
          type: string
        details:
          type: object
        id:
          type: string
      additionalProperties: false
    network_resource:
      type: object
      properties:
        name:
          oneOf:
            - type: string
              maxLength: 64
            - type: string
        agentLink:
          type: string
        IPs:
          type: array
          items:
            type: string
        FQDN:
          type: string
        resolverIP:
          type: string
        ports:
          type: array
          items:
            type: integer
      additionalProperties: false
    patch_network_resource:
      type: object
      properties:
        $drop:
          type: array
          items:
            type: string
            enum:
              - agentLink
              - IPs
              - FQDN
              - resolverIP
              - ports
        $replace/name:
          oneOf:
            - type: string
              maxLength: 64
            - type: string
        name:
          oneOf: []
        agentLink:
          type: string
        IPs:
          type: array
          items:
            type: string
        $drop/IPs:
          type: array
          items:
            type: string
        $append/IPs:
          type: array
          items:
            type: string
        $retain/IPs:
          type: array
          items:
            type: string
        FQDN:
          type: string
        resolverIP:
          type: string
        ports:
          type: array
          items:
            type: integer
        $drop/ports:
          type: array
          items:
            type: integer
        $append/ports:
          type: array
          items:
            type: integer
        $retain/ports:
          type: array
          items:
            type: integer
    link:
      type: object
      properties:
        rel:
          type: string
        href:
          type: string
      additionalProperties: false
  securitySchemes:
    serviceAccountKey:
      type: apiKey
      in: header
      name: Authorization
      description: Service account key can be used as API keys
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: IDP-provided token

````